# inferencejs 요구사항

{% hint style="info" %}
다음에 대해 자세히 알아보기 `inferencejs` [여기](/roboflow/roboflow-ko/deploy/sdks/web-browser.md) 및 다음을 확인하세요 [`inferencejs` 참조](/roboflow/roboflow-ko/deploy/sdks/web-browser/web-inference.js/inferencejs-reference.md)
{% endhint %}

**최소 브라우저 버전**

* **Chrome**: 61+
* **Firefox**: 60+
* **Safari**: 15.4+
* **Edge (Chromium 기반)**: 79+
* **Opera**: 48+

{% hint style="info" %}
이는 브라우저 기능에 대한 사용 가능한 MDN 기능 지원 정보에 기반한 최소 브라우저 버전입니다 `inferencejs` 는 사용되며 기본적인 안내를 위한 것입니다.\
\
이러한 브라우저가 모두 테스트된 것은 아니며, 사용을 위해 표에 나와 있는 버전보다 더 높은 버전이 필요할 수 있습니다. 이러한 최소 버전은 변경될 수 있습니다
{% endhint %}

**필수 브라우저 기능**

* Web Workers (`Worker`  API)
* `navigator.hardwareConcurrency`
* `navigator.mediaDevices.getUserMedia`
* `createImageBitmap`
* ES6+
* ESM
* Promises & Fetch API


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roboflow.com/roboflow/roboflow-ko/deploy/sdks/web-browser/web-inference.js/inferencejs-requirements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
